/***************************************************************
 * Name:      checkboxes.h
 * Purpose:   Defines Dialog spinControl
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-11-09
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef CHECKBOXES_H
#define CHECKBOXES_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/checkbox.h>
#include <wx/valgen.h>

class datosCheckBoxes
{
    public:
        datosCheckBoxes(bool b1, wxCheckBoxState c3, wxCheckBoxState c4) : check1(b1), check3(c3), check4(c4) {}

    //private:
        bool check1;
        wxCheckBoxState check3;
        wxCheckBoxState check4;
};

class checkBoxes : public wxDialog
{
    public:
        checkBoxes(wxWindow *wnd, datosCheckBoxes &datos);
        virtual ~checkBoxes();

    protected:
        enum
        {
            idCheckBox = 1000,
            idCheckBoxA,
            id3Estados1,
            id3Estados2
        };
        datosCheckBoxes& data;
        bool activo;
        wxCheckBox* m_checkBox1;
        wxCheckBox* m_activar;
        wxCheckBox* m_3estados1;
        wxCheckBox* m_3estados2;

    private:
        void OnClose(wxCloseEvent& event);
        void OnActivo(wxCommandEvent& event);
        void On3Estados1(wxCommandEvent& event);
        void On3Estados2(wxCommandEvent& event);
        //void OnOk(wxCommandEvent& event);
        wxDECLARE_EVENT_TABLE();
};

#endif // CHECKBOXES_H
