/***************************************************************
 * Name:      radiobox.h
 * Purpose:   Defines Dialog radioBox
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-11-11
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef RADIOBOX_H
#define RADIOBOX_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/valgen.h>
#include <wx/radiobox.h>

class datosRadioBox
{
    public:
        datosRadioBox(int valor=0) : opcion(valor) {}

    //private:
        int opcion;
};

class radioBox : public wxDialog
{
    public:
        radioBox(wxWindow *wnd, datosRadioBox &datos);
        virtual ~radioBox();

    protected:
        enum
        {
            idRadioBox = 1000
        };
        datosRadioBox& data;
        wxRadioBox* m_radioBox;

    private:
        void OnClose(wxCloseEvent& event);
        void OnRadioBox(wxCommandEvent& event);
        wxDECLARE_EVENT_TABLE();
};
#endif // RADIOBOX_H
