/***************************************************************
 * Name:      radiobutton.h
 * Purpose:   Defines Dialog radioButton
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-11-11
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef RADIOBUTTON_H
#define RADIOBUTTON_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/validate.h>

class datosRadioButton
{
    public:
        datosRadioButton(int valor=0) : opcion(valor) {}

    //private:
        int opcion;
};

class rbValidator : public wxValidator {
public:
    rbValidator(int *v=nullptr);
    virtual wxObject* Clone() const { return new rbValidator(*this); }
    virtual bool TransferFromWindow();
    virtual bool TransferToWindow();
    virtual bool Validate(wxWindow * parent);
private:
    int *m_opcion;
    DECLARE_DYNAMIC_CLASS( rbValidator )
    DECLARE_EVENT_TABLE()
};

class radioButton : public wxDialog
{
    public:
        radioButton(wxWindow *wnd, datosRadioButton &datos);
        virtual ~radioButton();

    protected:
        enum
        {
            idRadioButton = 1000
        };
        datosRadioButton& data;
        wxRadioButton* m_radioButton;

    private:
        void OnClose(wxCloseEvent& event);
        void OnRadioButton(wxCommandEvent& event);
        void OnOk(wxCommandEvent& event);
        wxDECLARE_EVENT_TABLE();
};
#endif // RADIOBUTTON_H
