/***************************************************************
 * Name:      togglebutton.h
 * Purpose:   Defines Dialog toggleButton
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-11-09
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef TOGGLEBUTTON_H
#define TOGGLEBUTTON_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/tglbtn.h>
#include <wx/valgen.h>
#include <wx/bitmap.h>
#include <wx/imagpng.h>

class datosToggleButton
{
    public:
        datosToggleButton(bool v=false) : valor(v){}

    //private:
        bool valor;
};

class toggleButton : public wxDialog {
    public:
        toggleButton(wxWindow *wnd, datosToggleButton &datos);
        virtual ~toggleButton();

    protected:
        enum
        {
            idtoggleButton = 1000,
            idtoggleNotificar
        };
        datosToggleButton& data;
        bool notificar;
        wxToggleButton* m_toggleButton;
        wxToggleButton* m_toggleNotificar;

    private:
        void OnClose(wxCloseEvent& event);
        void OnClick(wxCommandEvent& event);
        void OnNotificar(wxCommandEvent& event);
        wxDECLARE_EVENT_TABLE();
};

#endif // TOGGLEBUTTON_H
