/***************************************************************
 * Name:      radiobox.cpp
 * Purpose:   Code for Dialog radioBox
 * Author:    Salvador Pozo (salvapozo@gmail.com)
 * Created:   2024-11-11
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#include "radiobox.h"

wxBEGIN_EVENT_TABLE(radioBox, wxDialog)
    EVT_CLOSE(radioBox::OnClose)
    EVT_RADIOBOX(idRadioBox, radioBox::OnRadioBox)
wxEND_EVENT_TABLE()

radioBox::radioBox(wxWindow *wnd, datosRadioBox &datos)
    : wxDialog(wnd, -1, _T("Ejemplo de radiobox")), data(datos)
{
    wxBoxSizer *boxVertical;
    wxArrayString Opciones;
    Opciones.Add(_T("Opción 1"));
    Opciones.Add(_T("Opción 2"));
    Opciones.Add(_T("Opción 3"));
    Opciones.Add(_T("Opción 4"));
    Opciones.Add(_T("Opción 5"));
    Opciones.Add(_T("Opción 6"));

    boxVertical = new wxBoxSizer(wxVERTICAL);

    m_radioBox = new wxRadioBox(this, idRadioBox, _T("Selecciona una"), wxDefaultPosition, wxDefaultSize, Opciones, 3, wxRA_SPECIFY_ROWS, wxGenericValidator(&data.opcion));
    boxVertical->Add(m_radioBox, wxSizerFlags().Border());

    m_radioBox->Enable(1, false);
    m_radioBox->SetItemHelpText(0, _T("Ayuda de la opción 1"));
    m_radioBox->SetItemToolTip(2, _T("Tooltip de la opción 3"));

    boxVertical->Add(CreateStdDialogButtonSizer(wxOK | wxCANCEL), wxSizerFlags().Border());

    SetSizerAndFit(boxVertical);
}

radioBox::~radioBox()
{
    //dtor
}

void radioBox::OnClose(wxCloseEvent& event) {
    Destroy();
}


void radioBox::OnRadioBox(wxCommandEvent& event) {
    int sel = event.GetInt();
    wxString cad;
    cad << _T("Opción: ") << sel + 1;
    wxMessageBox(cad, _T("Seleccionada"));
}


